module LED_Sine(
   input clock, nReset,  // should be 100MHz
   output led       );

reg breath;
reg [3:0] counter;
always @ (posedge clock) counter <= counter + 1;

assign led = breath;

reg rest;
reg [11:0] angle, ledcount;
wire [11:0] sine;

always @ (posedge counter[2] or negedge nReset)
  begin   
    if (~nReset)
        begin
            ledcount <= 0;
            angle <= 0;
            rest <= 0;
        end
      else begin
          ledcount <= ledcount + 1;
          if (ledcount == 0) angle <= angle + 1;
          if (ledcount >= sine) breath <= 1;
          else breath <= rest;
          if ((ledcount == 0) & (angle == 3072)) rest <= ~rest;
      end
  end

sine1x LEDsine (.clock(clock), .angle(angle), .value(sine));

endmodule